# Return virtual host names for domains

This function lists virtual host names for each domain.

Endpoint: GET /WebVhosts/list_domains
Version: 11.137.9999.106
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_domains"

  - `module` (string)
    The name of the module called.
    Example: "WebVhosts"

  - `result` (object)

  - `result.data` (array)

  - `result.data.domain` (string)
    The domain name.
    Example: "example.com"

  - `result.data.proxy_subdomains` (array,null)
    An array of service subdomains (proxy subdomains) listed for the domain.

Note:

This only returns values when vhost_is_ssl equals 1.
    Example: ["cpanel","webmail","autodiscover","whm","webdisk"]

  - `result.data.vhost_is_ssl` (integer)
    Whether an SSL certificate secures the domain.
* 1 - Secured.
* 0 - Not secured.
    Enum: 0, 1

  - `result.data.vhost_name` (string)
    The name of the virtual host.
    Example: "hostname.example.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


